Skip to main content
GET
/
v2
/
wallet
/
{chain}
/
first-tx
Wallet - First Tx Funded
curl --request GET \
  --url https://api.dex.chainstream.io/v2/wallet/{chain}/first-tx \
  --header 'Authorization: Bearer <token>'
{
  "wallets": {
    "3bovD5jCRn7eG64jZqyEz6Zbx92mHixZSTRrWLy1Sirx": {
      "balanceChange": "0",
      "blockNumber": 398645949,
      "blockTime": 1717292678000,
      "decimals": 9,
      "tokenAddress": "11111111111111111111111111111111",
      "txHash": "5rG9igZk95gbS8ZG66upvRfbcaaDpokQYg4ny3WQ3DrA..."
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc

Query Parameters

walletAddresses
string
required

A list of wallet addresses in string separated by commas (,). Maximum 100 address addresses allowed

Response

200 - application/json

Successful response

wallets
object
required
Example:
{
"3bovD5jCRn7eG64jZqyEz6Zbx92mHixZSTRrWLy1Sirx": {
"balanceChange": "0",
"blockNumber": 398645949,
"blockTime": 1717292678000,
"decimals": 9,
"tokenAddress": "11111111111111111111111111111111",
"txHash": "5rG9igZk95gbS8ZG66upvRfbcaaDpokQYg4ny3WQ3DrA..."
}
}